<section class="container animated fadeIn">

  <div class="row pb">
    <div class="col-12">
      <div class="wall">
        <div class="table-wrapper">
          <table class="table">
            <thead>
              <th class="text-center">{{ 'comment.user-info' | translate }}</th>
              <th class="text-center"> {{ 'contact-us.email' | translate }} </th>
              <th class="text-center wrap">{{ 'comment.view' | translate }}</th>
              <th class="text-center">{{ 'contact-us.reviewed' | translate }}</th>
              <th class="text-center">{{ 'comment.create-at' | translate }}</th>
              <th class="text-center">{{ 'comment.last-modified' | translate }}</th>
            </thead>
            <tbody>
              <tr *ngFor="let contacts of contactUs">
                <td class="text-center" dir="ltr">{{ contacts.full_name }}</td>
                <td class="text-center">{{ contacts.email }}</td>
                <td class="text-center">
                  <div class="icon icon-eye tools view" [routerLink]="['/contact-us/view' , contacts.id]"
                    [queryParams]="query.params()"></div>
                </td>
                <td class="text-center">
                  <div class="icon tools select" [ngClass]="contacts.is_completed ? 'icon-check' : 'icon-uncheck'"
                    (click)="togglePublish(contacts)"></div>
                </td>
                <td class="text-center" dir="ltr">{{ contacts.created_at }}</td>
                <td *ngIf="contacts.is_completed" class="text-center" dir="ltr">{{ contacts.updated_at }}</td>
                <td *ngIf="!contacts.is_completed" class="text-center" dir="ltr"> {{ 'contact-us.has-not-changed' | translate }} </td>
              </tr>
            </tbody>
            <tfoot>
              <tr [hidden]="contactUs.length">
                <td colspan="10" class="text-center">
                  <b>{{ 'table.empty' | translate }}</b>
                </td>
              </tr>
            </tfoot>
          </table>
        </div>
      </div>
    </div>
  </div>

  <div class="row pb">
    <div class="col">
      <pagination [totalRecords]="totalPages * filters.limit" [recordsPerPage]="filters.limit" (onPageChange)="getContactUs($event)"></pagination>
    </div>
  </div>

</section>